NX Open C++ Reference Guide
|
This class will provide the ability to fit surfaces through facet bodies or point sets/groups. More...
Public Types | |
enum | DirectionType { DirectionTypeBestFit, DirectionTypeVector, DirectionTypeOrientation, DirectionTypeCsys } |
Direction method provides the ability to specify the projection direction and orientation. More... | |
enum | Types { TypesFitfreeform, TypesFitplane, TypesFitsphere, TypesFitcylinder, TypesFitcone } |
Fit Surface creation types. More... | |
Public Member Functions | |
NXOpen::Expression * | AngleValue () |
Returns the angle is fixed to a specific value Created in NX8.5.0. | |
NXOpen::CoordinateSystem * | CoordinateSystem () |
Returns the coordinate system Created in NX8.5.0. | |
NXOpen::Features::FitSurfaceBuilder::DirectionType | DirectionOption () |
Returns the direction option Created in NX8.5.0. | |
void | EditCSYS (const NXOpen::Point3d &originCsys, const NXOpen::Matrix3x3 &matCsys) |
The edit CSYS for Orientation option Created in NX8.5.0. | |
bool | IsAutomatic () |
Returns the automatic point rejection Created in NX8.5.0. | |
bool | IsBoundary () |
Returns the boundary will limit or extend to the boundaries Created in NX8.5.0. | |
bool | IsClosed () |
Returns the closed or open surface Created in NX8.5.0. | |
bool | IsConstrained () |
Returns the constraint option Created in NX8.5.0. | |
bool | IsHalfAngle () |
Returns the half angle option Created in NX8.5.0. | |
bool | IsRadius () |
Returns the radius option Created in NX8.5.0. | |
bool | IsUniformU () |
Returns the uniform pathches in U Created in NX8.5.0. | |
bool | IsUniformV () |
Returns the uniform patches in V Created in NX8.5.0. | |
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder * | Parameterization () |
Returns the parameterization Created in NX8.5.0. | |
NXOpen::Point * | Point1 () |
Returns the first point of the boundary Created in NX8.5.0. | |
NXOpen::Point * | Point2 () |
Returns the second point of the boundary Created in NX8.5.0. | |
NXOpen::Point * | Point3 () |
Returns the third point of the boundary Created in NX8.5.0. | |
NXOpen::Point * | Point4 () |
Returns the fourth point of the boundary Created in NX8.5.0. | |
NXOpen::Expression * | RadiusValue () |
Returns the radius is fixed to a specific value Created in NX8.5.0. | |
NXOpen::Expression * | RejectionThresholdValue () |
Returns the rejection threshold value Created in NX8.5.0. | |
void | SetAutomatic (bool isAutomatic) |
Sets the automatic point rejection Created in NX8.5.0. | |
void | SetBoundary (bool isBoundary) |
Sets the boundary will limit or extend to the boundaries Created in NX8.5.0. | |
void | SetClosed (bool isClosed) |
Sets the closed or open surface Created in NX8.5.0. | |
void | SetConstrained (bool isConstrained) |
Sets the constraint option Created in NX8.5.0. | |
void | SetCoordinateSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the coordinate system Created in NX8.5.0. | |
void | SetDirectionOption (NXOpen::Features::FitSurfaceBuilder::DirectionType directionOption) |
Sets the direction option Created in NX8.5.0. | |
void | SetHalfAngle (bool isHalfAngle) |
Sets the half angle option Created in NX8.5.0. | |
void | SetPoint1 (NXOpen::Point *point1) |
Sets the first point of the boundary Created in NX8.5.0. | |
void | SetPoint2 (NXOpen::Point *point) |
Sets the second point of the boundary Created in NX8.5.0. | |
void | SetPoint3 (NXOpen::Point *point) |
Sets the third point of the boundary Created in NX8.5.0. | |
void | SetPoint4 (NXOpen::Point *point) |
Sets the fourth point of the boundary Created in NX8.5.0. | |
void | SetRadius (bool isRadius) |
Sets the radius option Created in NX8.5.0. | |
void | SetSmoothFactor (int smoothFactor) |
Sets the smooth factor influences the smoothness of the surface Created in NX8.5.0. | |
void | SetType (NXOpen::Features::FitSurfaceBuilder::Types type) |
Sets the type Created in NX8.5.0. | |
void | SetUniformU (bool isUniform) |
Sets the uniform pathches in U Created in NX8.5.0. | |
void | SetUniformV (bool isUniform) |
Sets the uniform patches in V Created in NX8.5.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector specifies the projection direction Created in NX8.5.0. | |
void | SetVectorConstraint (NXOpen::Direction *vector) |
Sets the direction constraint Created in NX8.5.0. | |
int | SmoothFactor () |
Returns the smooth factor influences the smoothness of the surface Created in NX8.5.0. | |
NXOpen::SelectNXObject * | TargetObject () |
Returns the target object to which the face is fitted to can be a facet body, a point set or a point group Created in NX8.5.0. | |
NXOpen::Features::FitSurfaceBuilder::Types | Type () |
Returns the type Created in NX8.5.0. | |
NXOpen::Direction * | Vector () |
Returns the vector specifies the projection direction Created in NX8.5.0. | |
NXOpen::Direction * | VectorConstraint () |
Returns the direction constraint Created in NX8.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class will provide the ability to fit surfaces through facet bodies or point sets/groups.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateFitSurfaceBuilder Features::FeatureCollection::CreateFitSurfaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleValue.Value |
30 |
DirectionOption |
BestFit |
IsAutomatic |
0 |
IsBoundary |
0 |
IsClosed |
1 |
IsConstrained |
0 |
IsHalfAngle |
0 |
IsRadius |
0 |
IsUniformU |
0 |
IsUniformV |
0 |
Parameterization.Degree |
3 |
Parameterization.SegmentsOrPatches |
1 |
Parameterization.UDegree |
5 |
Parameterization.UPatches |
1 |
Parameterization.VDegree |
5 |
Parameterization.VPatches |
1 |
RadiusValue.Value |
50 (millimeters part), 2 (inches part) |
RejectionThresholdValue.Value |
10 (millimeters part), 0.5 (inches part) |
SmoothFactor |
0 |
Created in NX8.5.0.
Direction method provides the ability to specify the projection direction and orientation.
NXOpen::Expression* NXOpen::Features::FitSurfaceBuilder::AngleValue | ( | ) |
Returns the angle is fixed to a specific value
Created in NX8.5.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::FitSurfaceBuilder::CoordinateSystem | ( | ) |
Returns the coordinate system
Created in NX8.5.0.
License requirements : None
NXOpen::Features::FitSurfaceBuilder::DirectionType NXOpen::Features::FitSurfaceBuilder::DirectionOption | ( | ) |
Returns the direction option
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::FitSurfaceBuilder::EditCSYS | ( | const NXOpen::Point3d & | originCsys, |
const NXOpen::Matrix3x3 & | matCsys | ||
) |
The edit CSYS for Orientation option
Created in NX8.5.0.
License requirements : None
originCsys | origincsys |
matCsys | matcsys |
bool NXOpen::Features::FitSurfaceBuilder::IsAutomatic | ( | ) |
Returns the automatic point rejection
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsBoundary | ( | ) |
Returns the boundary will limit or extend to the boundaries
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsClosed | ( | ) |
Returns the closed or open surface
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsConstrained | ( | ) |
Returns the constraint option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsHalfAngle | ( | ) |
Returns the half angle option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsRadius | ( | ) |
Returns the radius option
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsUniformU | ( | ) |
Returns the uniform pathches in U
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::FitSurfaceBuilder::IsUniformV | ( | ) |
Returns the uniform patches in V
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::FitSurfaceBuilder::Parameterization | ( | ) |
Returns the parameterization
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point1 | ( | ) |
Returns the first point of the boundary
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point2 | ( | ) |
Returns the second point of the boundary
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point3 | ( | ) |
Returns the third point of the boundary
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point4 | ( | ) |
Returns the fourth point of the boundary
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::FitSurfaceBuilder::RadiusValue | ( | ) |
Returns the radius is fixed to a specific value
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::FitSurfaceBuilder::RejectionThresholdValue | ( | ) |
Returns the rejection threshold value
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::FitSurfaceBuilder::SetAutomatic | ( | bool | isAutomatic | ) |
Sets the automatic point rejection
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isAutomatic | isautomatic |
void NXOpen::Features::FitSurfaceBuilder::SetBoundary | ( | bool | isBoundary | ) |
Sets the boundary will limit or extend to the boundaries
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isBoundary | isboundary |
void NXOpen::Features::FitSurfaceBuilder::SetClosed | ( | bool | isClosed | ) |
Sets the closed or open surface
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isClosed | isclosed |
void NXOpen::Features::FitSurfaceBuilder::SetConstrained | ( | bool | isConstrained | ) |
Sets the constraint option
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isConstrained | isconstrained |
void NXOpen::Features::FitSurfaceBuilder::SetCoordinateSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the coordinate system
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
coordSystem | coordsystem |
void NXOpen::Features::FitSurfaceBuilder::SetDirectionOption | ( | NXOpen::Features::FitSurfaceBuilder::DirectionType | directionOption | ) |
Sets the direction option
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
directionOption | directionoption |
void NXOpen::Features::FitSurfaceBuilder::SetHalfAngle | ( | bool | isHalfAngle | ) |
Sets the half angle option
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isHalfAngle | ishalfangle |
void NXOpen::Features::FitSurfaceBuilder::SetPoint1 | ( | NXOpen::Point * | point1 | ) |
Sets the first point of the boundary
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
point1 | point1 |
void NXOpen::Features::FitSurfaceBuilder::SetPoint2 | ( | NXOpen::Point * | point | ) |
Sets the second point of the boundary
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::FitSurfaceBuilder::SetPoint3 | ( | NXOpen::Point * | point | ) |
Sets the third point of the boundary
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::FitSurfaceBuilder::SetPoint4 | ( | NXOpen::Point * | point | ) |
Sets the fourth point of the boundary
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::FitSurfaceBuilder::SetRadius | ( | bool | isRadius | ) |
Sets the radius option
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isRadius | isradius |
void NXOpen::Features::FitSurfaceBuilder::SetSmoothFactor | ( | int | smoothFactor | ) |
Sets the smooth factor influences the smoothness of the surface
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
smoothFactor | smoothfactor |
void NXOpen::Features::FitSurfaceBuilder::SetType | ( | NXOpen::Features::FitSurfaceBuilder::Types | type | ) |
Sets the type
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
type | type |
void NXOpen::Features::FitSurfaceBuilder::SetUniformU | ( | bool | isUniform | ) |
Sets the uniform pathches in U
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isUniform | isuniform |
void NXOpen::Features::FitSurfaceBuilder::SetUniformV | ( | bool | isUniform | ) |
Sets the uniform patches in V
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isUniform | isuniform |
void NXOpen::Features::FitSurfaceBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector specifies the projection direction
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
vector | vector |
void NXOpen::Features::FitSurfaceBuilder::SetVectorConstraint | ( | NXOpen::Direction * | vector | ) |
Sets the direction constraint
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
vector | vector |
int NXOpen::Features::FitSurfaceBuilder::SmoothFactor | ( | ) |
Returns the smooth factor influences the smoothness of the surface
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::FitSurfaceBuilder::TargetObject | ( | ) |
Returns the target object to which the face is fitted to can be a facet body, a point set or a point group
Created in NX8.5.0.
License requirements : None
NXOpen::Features::FitSurfaceBuilder::Types NXOpen::Features::FitSurfaceBuilder::Type | ( | ) |
Returns the type
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::FitSurfaceBuilder::Vector | ( | ) |
Returns the vector specifies the projection direction
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::Direction* NXOpen::Features::FitSurfaceBuilder::VectorConstraint | ( | ) |
Returns the direction constraint
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")